Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	cURL groks URLs.
Name:		curl
Version:	7.21.2
Release:	1
License:	GNU/GPL
URL:		http://curl.haxx.se/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.lzma
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

BuildRequires: c-ares-devel
BuildRequires: libssh2-devel

BuildRequires:	librtmp-devel
BuildRequires:	groff

#Automatically resolved build dependencies
BuildRequires: cyrus-sasl-devel
BuildRequires: glibc-devel
BuildRequires: libidn-devel
BuildRequires: openldap-devel
BuildRequires: openssl-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
curl is a command line tool for transferring files with URL syntax,
supporting FTP, FTPS, HTTP, HTTPS, GOPHER, TELNET, DICT, FILE and LDAP.
Curl supports HTTPS certificates, HTTP POST, HTTP PUT, FTP uploading,
HTTP form based upload, proxies, cookies, user+password authentication
(Basic, Digest, NTLM, Negotiate, kerberos...), file transfer resume,
proxy tunneling and a busload of other useful tricks.

%package	devel
Summary:	Header files for curl
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header files for curl.

%package	doc-pdf
Summary:	%{name} PDF docs.
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description	doc-pdf
Documentation PDF files for %{name}.

%package	doc-html
Summary:	%{name} html docs.
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description	doc-html
Documentation HTML files for %{name}.

%post
ldconfig

%postun
ldconfig
 
%prep
%setup -q -n %{name}-%{version}

%build
#aclocal
#autoconf
#automake
#libtoolize -f
./configure --prefix=%_prefix \
--mandir=%_mandir \
--infodir=%_infodir \
--with-libssh2 \
--enable-shared \
--enable-ares \
--enable-ldaps 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 
cd $RPM_BUILD_ROOT%_libdir
#ln -s libcurl.so.4.1.0 libcurl.so.2

%files
%defattr(-,root,root)
%doc CHANGES COPYING README RELEASE-NOTES
%_bindir/curl
%_mandir/man1/curl.1.gz
%{_libdir}/libcurl.so.*

%files	devel
%defattr(-,root,root)
%doc docs/examples
%_bindir/curl-config
%{_mandir}/man1/curl-config.1.gz
%{_mandir}/man3/curl_*.3.gz
%{_mandir}/man3/libcurl*.3.gz
%{_includedir}/curl
%{_libdir}/libcurl.a
%{_libdir}/libcurl.la
%{_libdir}/libcurl.so
%{_pkgconfig}/libcurl.pc

%files	doc-pdf
%defattr(-,root,root)
%doc docs/*.pdf
%doc docs/libcurl/*.pdf

%files	doc-html
%defattr(-,root,root)
%doc docs/*.html
%doc docs/libcurl/*.html

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Oct 13 2010 Karsten Brockmann <arcam@ccux-linux.de> 7.21.2-1
- Version update
* Thu Aug 12 2010 Karsten Brockmann <arcam@ccux-linux.de> 7.21.1-1
- Version update
* Thu Feb 11 2010 Karsten Brockmann <arcam@ccux-linux.de> 7.20.0-1
- Version update
* Sat Aug 22 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.19.6-1
- Version update
* Mon May 18 2009 Christian Wasem <wasem@ccux-linux.de> 7.19.5-1
- Version update, using lzma package source
* Tue Mar 31 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.19.4-1
- Version update
* Wed Feb 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.19.3-1
- Version update
* Mon Sep 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 7.19.0-1
- Version update
* Thu Jun 12 2008 Christian Wasem <wasem@ccux-linux.de> 7.18.2-2
- added Requires for rpm lzma compression ( rpm >= 4.4.2.3-1 )
* Mon Jun 09 2008 Christian Wasem <wasem@ccux-linux.de> 7.18.2-1
- Version Update
* Tue Oct 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 7.17.1-1
- Version Update
* Wed Aug 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 7.15.5-1
- Version update
* Mon Jun 12 2006 Karsten Brockmann <arcam@ccux-linux.de> 7.15.4-1
- Version update
* Wed Dec 07 2005 Christian Metzen <metzench@ccux-linux.de> 7.15.1-1
- Version update
* Thu Oct 13 2005 Christian Wasem <wasem@ccux-linux.de> 7.15.0-1
- Update to Version 7.15.0
* Thu Oct 13 2005 Christian Wasem <wasem@ccux-linux.de> 7.14.1-2
- tweaked specfile, added doc-pdf and doc-html package
- moved more files to devel package
* Wed Oct 12 2005 Karsten Brockmann <arcam@ccux-linux.de> 7.14.1-1
- version update
* Fri Jul 08 2005 Karsten Brockmann <arcam@ccux-linux.de> 7.14.0-3
- rebuilt against openssl 0.9.8
* Tue Jul 05 2005 Christian Metzen <metzench@ccux-linux.de> 7.14.0-2
- Moved more files to devel package
* Mon Jul 04 2005 Karsten Brockmann <arcam@ccux-linux.de> 7.14.0-1
- Version Update to 7.14.0, rebuilt spec 
* Wed Apr 14 2004 Christian Metzen <metzench@ccux-linux.de> 7.11.1-1
- Initial Release
